diff --git a/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java b/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
index 6ffd58e334d7f9f8afd7b82b4bc764c2dd305ca5..5dca13b000c3db4beba783ff54f58555d6de6ee0 100644
--- a/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
+++ b/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
@@ -18,19 +18,36 @@
 package com.netscape.cmsutil.scep;
 
 
-import org.mozilla.jss.asn1.*;
-import org.mozilla.jss.pkcs7.*;
-import java.io.*;
+import java.io.ByteArrayInputStream;
+import java.io.ByteArrayOutputStream;
+import java.io.CharConversionException;
+import java.io.IOException;
+import java.security.PublicKey;
 import java.util.Arrays;
 import java.util.Hashtable;
-import org.mozilla.jss.pkcs7.ContentInfo;
-//import org.mozilla.jss.util.Assert;
-import org.mozilla.jss.pkix.primitive.*;
-//import org.mozilla.jss.pkix.primitive.Attribute;
+
+import org.mozilla.jss.asn1.ANY;
+import org.mozilla.jss.asn1.ASN1Util;
+import org.mozilla.jss.asn1.INTEGER;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.NULL;
+import org.mozilla.jss.asn1.OBJECT_IDENTIFIER;
+import org.mozilla.jss.asn1.OCTET_STRING;
+import org.mozilla.jss.asn1.PrintableString;
+import org.mozilla.jss.asn1.SET;
+import org.mozilla.jss.crypto.SignatureAlgorithm;
+import org.mozilla.jss.crypto.TokenException;
 import org.mozilla.jss.pkcs7.Attribute;
-import org.mozilla.jss.crypto.*;
-import java.security.PublicKey;
-import org.mozilla.jss.pkix.cert.*;
+import org.mozilla.jss.pkcs7.ContentInfo;
+import org.mozilla.jss.pkcs7.EncryptedContentInfo;
+import org.mozilla.jss.pkcs7.EnvelopedData;
+import org.mozilla.jss.pkcs7.IssuerAndSerialNumber;
+import org.mozilla.jss.pkcs7.RecipientInfo;
+import org.mozilla.jss.pkcs7.SignedData;
+import org.mozilla.jss.pkcs7.SignerInfo;
+import org.mozilla.jss.pkix.cert.Certificate;
+import org.mozilla.jss.pkix.cert.CertificateInfo;
+import org.mozilla.jss.pkix.primitive.AlgorithmIdentifier;
 
 
 public class CRSPKIMessage {
@@ -133,8 +150,6 @@ public class CRSPKIMessage {
     // it's content is a signedData
     private SignedData    sd;
 
-    // In the signed data, we have:
-    private int           sdv;     // Version
     private ContentInfo   data;    // The data to be digested
     private EnvelopedData sded;    // Enveloped data inside of signed data
     private byte[]        signerCertBytes;
@@ -143,7 +158,6 @@ public class CRSPKIMessage {
     private SET           sis;     // set of SignerInfos
     private SignerInfo   si;     // First SignerInfo
     private AlgorithmIdentifier digestAlgorithmId = null;
-    private int          siv;  // Version
     private SET          aa;   // Authenticated Attributes
     private SET          aa_old;   // Authenticated Attributes
     private IssuerAndSerialNumber   sgnIASN; // Signer's Issuer Name and Serialnum
@@ -162,23 +176,18 @@ public class CRSPKIMessage {
     private int                  riv;     // Version
     private AlgorithmIdentifier  riAlgid; // alg that the bulk key is wrapped with
     private byte[]       riKey;           // bulk key, wrapped with above algorithm
-    private byte[]       cKey;            // * 'clear', unwrapped key (not in ASN.1) *
     private IssuerAndSerialNumber rcpIASN; // Recipient's Issuer Name and Serial Number
 
     private EncryptedContentInfo eci;
     private byte[]       iv;              // initialization vector for above key
     private byte[]       ec;              // encrypted content (P10, in case of request)
-    private byte[]       cc;              // * 'clear' content (not in ASN.1) *
     private String       encryptionAlgorithm = null;
 
     // For the CertRep, the enveloped content is another signed Data:
     private SignedData     crsd;
-    private int            rsdVersion;
-    private byte[]         rsdCert;         // certificate to send in response
-
     private Object         myP10;
 
-    private Hashtable      attrs;           // miscellanous
+    private Hashtable      attrs;           // Miscellaneous
 
     //   *** END *** //
 
@@ -211,14 +220,14 @@ public class CRSPKIMessage {
 
     private OBJECT_IDENTIFIER getAlgorithmOID (String hashAlgorithm)
     {
-        OBJECT_IDENTIFIER oid = MD5_DIGEST;
+        OBJECT_IDENTIFIER oid = CRSPKIMessage.MD5_DIGEST;
         if (hashAlgorithm != null) {
             if (hashAlgorithm.equals("SHA1")) {
-                oid = SHA1_DIGEST;
+                oid = CRSPKIMessage.SHA1_DIGEST;
             } else if (hashAlgorithm.equals("SHA256")) {
-                oid = SHA256_DIGEST;
+                oid = CRSPKIMessage.SHA256_DIGEST;
             } else  if (hashAlgorithm.equals("SHA512")) {
-                oid = SHA512_DIGEST;
+                oid = CRSPKIMessage.SHA512_DIGEST;
             }
         }
         return oid;
@@ -228,15 +237,14 @@ public class CRSPKIMessage {
     private String getHashAlgorithm (OBJECT_IDENTIFIER algorithmOID)
     {
         String hashAlgorithm = null;
-        OBJECT_IDENTIFIER oid = MD5_DIGEST;
         if (algorithmOID != null) {
-            if (algorithmOID.equals(MD5_DIGEST)) {
+            if (algorithmOID.equals(CRSPKIMessage.MD5_DIGEST)) {
                 hashAlgorithm = "MD5";
-            } else if (algorithmOID.equals(SHA1_DIGEST)) {
+            } else if (algorithmOID.equals(CRSPKIMessage.SHA1_DIGEST)) {
                 hashAlgorithm = "SHA1";
-            } else if (algorithmOID.equals(SHA256_DIGEST)) {
+            } else if (algorithmOID.equals(CRSPKIMessage.SHA256_DIGEST)) {
                 hashAlgorithm = "SHA256";
-            } else  if (algorithmOID.equals(SHA512_DIGEST)) {
+            } else  if (algorithmOID.equals(CRSPKIMessage.SHA512_DIGEST)) {
                 hashAlgorithm = "SHA512";
             }
         }
@@ -327,42 +335,42 @@ public class CRSPKIMessage {
                 SET tidset = new SET();
 
                 tidset.addElement((new PrintableString(transactionID)));
-                aa.addElement(new Attribute(CRS_TRANSID, tidset));
+                aa.addElement(new Attribute(CRSPKIMessage.CRS_TRANSID, tidset));
             }
             
             if (pkiStatus != null) {
                 SET pkistatusset = new SET();
 
                 pkistatusset.addElement(new PrintableString(pkiStatus));
-                aa.addElement(new Attribute(CRS_PKISTATUS, pkistatusset));
+                aa.addElement(new Attribute(CRSPKIMessage.CRS_PKISTATUS, pkistatusset));
             }
             
             if (messageType != null) {
                 SET aaset = new SET();
 
                 aaset.addElement(new PrintableString(messageType));
-                aa.addElement(new Attribute(CRS_MESSAGETYPE, aaset)); 
+                aa.addElement(new Attribute(CRSPKIMessage.CRS_MESSAGETYPE, aaset)); 
             }
 
             if (failInfo != null) {
                 SET fiset = new SET();
 
                 fiset.addElement(new PrintableString(failInfo));
-                aa.addElement(new Attribute(CRS_FAILINFO, fiset)); 
+                aa.addElement(new Attribute(CRSPKIMessage.CRS_FAILINFO, fiset)); 
             }
             
             if (senderNonce != null) {
                 SET snset = new SET();
 
                 snset.addElement(new OCTET_STRING(senderNonce));
-                aa.addElement(new Attribute(CRS_SENDERNONCE, snset));
+                aa.addElement(new Attribute(CRSPKIMessage.CRS_SENDERNONCE, snset));
             }
 
             if (recipientNonce != null) {
                 SET rnset = new SET();
 
                 rnset.addElement(new OCTET_STRING(recipientNonce));
-                aa.addElement(new Attribute(CRS_RECIPIENTNONCE, rnset));
+                aa.addElement(new Attribute(CRSPKIMessage.CRS_RECIPIENTNONCE, rnset));
             }
 
             // XXX sender nonce
@@ -414,7 +422,7 @@ public class CRSPKIMessage {
     public void makeRecipientInfo(int version, byte[] riKey) {
         this.riv = version;
 
-        this.riAlgid = new AlgorithmIdentifier(RSA_ENCRYPTION, new NULL());
+        this.riAlgid = new AlgorithmIdentifier(CRSPKIMessage.RSA_ENCRYPTION, new NULL());
         this.riKey = riKey;     
         
         this.ri = new RecipientInfo(
@@ -430,9 +438,9 @@ public class CRSPKIMessage {
         this.ec = ec;
 
         try {
-            OBJECT_IDENTIFIER oid = DES_CBC_ENCRYPTION;
+            OBJECT_IDENTIFIER oid = CRSPKIMessage.DES_CBC_ENCRYPTION;
             if (algorithm != null && algorithm.equals("DES3"))
-                oid = DES_EDE3_CBC_ENCRYPTION;
+                oid = CRSPKIMessage.DES_EDE3_CBC_ENCRYPTION;
 
             AlgorithmIdentifier aid = new AlgorithmIdentifier(oid, new OCTET_STRING(iv));
 
@@ -447,8 +455,6 @@ public class CRSPKIMessage {
     }
 
     public byte[] makeSignedRep(int v, byte[] certificate) {
-        rsdVersion = v;
-        rsdCert = certificate;
         try {
             SET certs = new SET();
             ANY cert = new ANY(certificate);
@@ -657,20 +663,20 @@ public class CRSPKIMessage {
     public void setPending() {
         // setIssuerAndSerialNumber();
             
-        setMessageType(mType_CertRep);
-        setPKIStatus(mStatus_PENDING);
+        setMessageType(CRSPKIMessage.mType_CertRep);
+        setPKIStatus(CRSPKIMessage.mStatus_PENDING);
     };
         
     public void setFailure(String failInfo) {
-        setMessageType(mType_CertRep);
-        setPKIStatus(mStatus_FAILURE);
+        setMessageType(CRSPKIMessage.mType_CertRep);
+        setPKIStatus(CRSPKIMessage.mStatus_FAILURE);
         setFailInfo(failInfo);
     }
         
     // Should add a Certificate to this call
     public void setSuccess() {
-        setMessageType(mType_CertRep);
-        setPKIStatus(mStatus_SUCCESS);
+        setMessageType(CRSPKIMessage.mType_CertRep);
+        setPKIStatus(CRSPKIMessage.mStatus_SUCCESS);
     }
     
     /**
@@ -702,7 +708,7 @@ public class CRSPKIMessage {
             
         sd = (SignedData) sdt.decode(
                     new ByteArrayInputStream(
-                        ((ANY) crsci.getContent()).getEncoded()
+                        (crsci.getContent()).getEncoded()
                     ));
         this.decodeSD();
     }
@@ -726,19 +732,19 @@ public class CRSPKIMessage {
         sdci = sd.getContentInfo();
             
         // HACK to work with CRS
-        ANY a = (ANY) sdci.getContent();
+        ANY a = sdci.getContent();
         ByteArrayInputStream s = new ByteArrayInputStream(a.getEncoded());
         OCTET_STRING os = (OCTET_STRING) (new OCTET_STRING.Template()).decode(s);
             
         ByteArrayInputStream s2 = new ByteArrayInputStream(os.toByteArray());
         ContentInfo ci = (ContentInfo) (new ContentInfo.Template()).decode(s2);
-        ByteArrayInputStream s3 = new ByteArrayInputStream(((ANY) ci.getContent()).getEncoded());
+        ByteArrayInputStream s3 = new ByteArrayInputStream((ci.getContent()).getEncoded());
             
         EnvelopedData.Template edt = new EnvelopedData.Template();
 
         sded = (EnvelopedData) edt.decode(s3);
         
-        SET signerCerts = (SET) sd.getCertificates();
+        SET signerCerts = sd.getCertificates();
         Certificate firstCert = (Certificate) signerCerts.elementAt(0);
 
         signerCertBytes = ASN1Util.encode(firstCert);
@@ -767,7 +773,7 @@ public class CRSPKIMessage {
     private void decodeED() throws Exception {
         SET ris;
 
-        ris = (SET) sded.getRecipientInfos();
+        ris = sded.getRecipientInfos();
             
         if (ris.size() == 0) {
             throw new Exception("RecipientInfos is empty");
@@ -775,9 +781,9 @@ public class CRSPKIMessage {
         ri = (RecipientInfo) ris.elementAt(0);
         eci = sded.getEncryptedContentInfo();
 
-        if (eci.getContentEncryptionAlgorithm().getOID().equals(DES_EDE3_CBC_ENCRYPTION)) {
+        if (eci.getContentEncryptionAlgorithm().getOID().equals(CRSPKIMessage.DES_EDE3_CBC_ENCRYPTION)) {
             encryptionAlgorithm = "DES3";
-        } else if (eci.getContentEncryptionAlgorithm().getOID().equals(DES_CBC_ENCRYPTION)) {
+        } else if (eci.getContentEncryptionAlgorithm().getOID().equals(CRSPKIMessage.DES_CBC_ENCRYPTION)) {
             encryptionAlgorithm = "DES";
         } else {
             throw new Exception("P10 encrypted alg is not supported (not DES): " + eci.getContentEncryptionAlgorithm().getOID());
@@ -816,7 +822,7 @@ public class CRSPKIMessage {
 
         riAlgid = ri.getKeyEncryptionAlgorithmID();
   
-        if (!riAlgid.getOID().equals(RSA_ENCRYPTION)) {
+        if (!riAlgid.getOID().equals(CRSPKIMessage.RSA_ENCRYPTION)) {
             throw new Exception("Request is protected by a key which we can't decrypt");
         }
         
@@ -831,7 +837,7 @@ public class CRSPKIMessage {
 
         for (count = 0; count < aa.size(); count++) {
             Attribute a = (Attribute) aa.elementAt(count);
-            SET s = (SET) a.getValues();
+            SET s = a.getValues();
             ANY f = (ANY) s.elementAt(0);
             PrintableString ps;
             PrintableString.Template pst = new PrintableString.Template();
@@ -839,26 +845,26 @@ public class CRSPKIMessage {
             
             OBJECT_IDENTIFIER oid = a.getType();
 
-            if (oid.equals(CRS_MESSAGETYPE)) {
+            if (oid.equals(CRSPKIMessage.CRS_MESSAGETYPE)) {
                 ps = (PrintableString) pst.decode(new ByteArrayInputStream(f.getEncoded()));
                 // We make a new string here
                 messageType = ps.toString();
                 
-            } else if (oid.equals(CRS_PKISTATUS)) {
+            } else if (oid.equals(CRSPKIMessage.CRS_PKISTATUS)) {
                 ps = (PrintableString) pst.decode(new ByteArrayInputStream(f.getEncoded()));
                 pkiStatus = new String (ps.toString());
-            } else if (oid.equals(CRS_FAILINFO)) {
+            } else if (oid.equals(CRSPKIMessage.CRS_FAILINFO)) {
                 ps = (PrintableString) pst.decode(new ByteArrayInputStream(f.getEncoded()));
                 failInfo = new String (ps.toString());
-            } else if (oid.equals(CRS_SENDERNONCE)) {
+            } else if (oid.equals(CRSPKIMessage.CRS_SENDERNONCE)) {
                 OCTET_STRING oss = (OCTET_STRING) ost.decode(new ByteArrayInputStream(f.getEncoded()));
 
                 senderNonce = oss.toByteArray();
-            } else if (oid.equals(CRS_RECIPIENTNONCE)) {
+            } else if (oid.equals(CRSPKIMessage.CRS_RECIPIENTNONCE)) {
                 OCTET_STRING osr = (OCTET_STRING) ost.decode(new ByteArrayInputStream(f.getEncoded()));
 
                 recipientNonce = osr.toByteArray();
-            } else if (oid.equals(CRS_TRANSID)) {
+            } else if (oid.equals(CRSPKIMessage.CRS_TRANSID)) {
                 ps = (PrintableString) pst.decode(new ByteArrayInputStream(f.getEncoded()));
                 transactionID = new String (ps.toString());
             }
@@ -872,19 +878,19 @@ public class CRSPKIMessage {
             return null;
         }
             
-        if (messageType.equals(mType_PKCSReq)) {
+        if (messageType.equals(CRSPKIMessage.mType_PKCSReq)) {
             return "PKCSReq";
         }
-        if (messageType.equals(mType_CertRep)) {
+        if (messageType.equals(CRSPKIMessage.mType_CertRep)) {
             return "CertRep";
         }
-        if (messageType.equals(mType_GetCertInitial)) {
+        if (messageType.equals(CRSPKIMessage.mType_GetCertInitial)) {
             return "GetCertInitial";
         }
-        if (messageType.equals(mType_GetCert)) {
+        if (messageType.equals(CRSPKIMessage.mType_GetCert)) {
             return "GetCert";
         }
-        if (messageType.equals(mType_GetCRL)) {
+        if (messageType.equals(CRSPKIMessage.mType_GetCRL)) {
             return "GetCRL";
         }
         // messageType should match one of the above
diff --git a/pki/base/util/src/com/netscape/cmsutil/util/Cert.java b/pki/base/util/src/com/netscape/cmsutil/util/Cert.java
index 6a2d32b321d79a256fad0c711c7598a2579b2131..692f923275cb926b4c48c33b184e5ddde6505909 100644
--- a/pki/base/util/src/com/netscape/cmsutil/util/Cert.java
+++ b/pki/base/util/src/com/netscape/cmsutil/util/Cert.java
@@ -18,18 +18,19 @@
 package com.netscape.cmsutil.util;
 
 
+import java.io.IOException;
+import java.security.cert.CertificateException;
+import java.security.cert.X509CRL;
+import java.security.cert.X509Certificate;
+
 import netscape.security.pkcs.PKCS7;
 import netscape.security.x509.X509CRLImpl;
 import netscape.security.x509.X509CertImpl;
+
 import org.mozilla.jss.crypto.SignatureAlgorithm;
-//import sun.misc.BASE64Decoder;
+
 import com.netscape.osutil.OSUtil;
 
-import java.io.IOException;
-import java.security.cert.CertificateException;
-import java.security.cert.X509CRL;
-import java.security.cert.X509Certificate;
-
 public class Cert {
 
     public static SignatureAlgorithm mapAlgorithmToJss(String algname) {
@@ -87,14 +88,14 @@ public class Cert {
     }
 
     public static String stripCertBrackets(String s) {
-	return stripBrackets(s);
+	return Cert.stripBrackets(s);
     }
 
  // private static BASE64Decoder mDecoder = new BASE64Decoder();
     public static X509CertImpl mapCert(String mime64)
         throws IOException {
-        mime64 = stripCertBrackets(mime64.trim());
-        String newval = normalizeCertStr(mime64);
+        mime64 = Cert.stripCertBrackets(mime64.trim());
+        String newval = Cert.normalizeCertStr(mime64);
      // byte rawPub[] = mDecoder.decodeBuffer(newval);
         byte rawPub[] = OSUtil.AtoB( newval );
         X509CertImpl cert = null;
@@ -108,8 +109,8 @@ public class Cert {
 
     public static X509Certificate[] mapCertFromPKCS7(String mime64)
         throws IOException {
-        mime64 = stripCertBrackets(mime64.trim());
-        String newval = normalizeCertStr(mime64);
+        mime64 = Cert.stripCertBrackets(mime64.trim());
+        String newval = Cert.normalizeCertStr(mime64);
      // byte rawPub[] = mDecoder.decodeBuffer(newval);
         byte rawPub[] = OSUtil.AtoB( newval );
         PKCS7 p7 = null;
@@ -124,8 +125,8 @@ public class Cert {
 
     public static X509CRL mapCRL(String mime64)
         throws IOException {
-        mime64 = stripCRLBrackets(mime64.trim());
-        String newval = normalizeCertStr(mime64);
+        mime64 = Cert.stripCRLBrackets(mime64.trim());
+        String newval = Cert.normalizeCertStr(mime64);
      // byte rawPub[] = mDecoder.decodeBuffer(newval);
         byte rawPub[] = OSUtil.AtoB( newval );
         X509CRL crl = null;
@@ -139,7 +140,7 @@ public class Cert {
 
     public static X509CRL mapCRL1(String mime64)
         throws IOException {
-        mime64 = stripCRLBrackets(mime64.trim());
+        mime64 = Cert.stripCRLBrackets(mime64.trim());
 
         byte rawPub[] = OSUtil.AtoB(mime64);
         X509CRL crl = null;
diff --git a/pki/base/util/src/com/netscape/cmsutil/util/Fmt.java b/pki/base/util/src/com/netscape/cmsutil/util/Fmt.java
index 49b878c4c6fb2f08242ae1aec903514d1adad290..05031b19453ba6998d02bbc4f4752e4113e51f21 100644
--- a/pki/base/util/src/com/netscape/cmsutil/util/Fmt.java
+++ b/pki/base/util/src/com/netscape/cmsutil/util/Fmt.java
@@ -123,193 +123,193 @@ public class Fmt {
 
     // byte
     public static String fmt(byte b) {
-        return fmt(b, 0, 0);
+        return Fmt.fmt(b, 0, 0);
     }
 
     public static String fmt(byte b, int minWidth) {
-        return fmt(b, minWidth, 0);
+        return Fmt.fmt(b, minWidth, 0);
     }
 
     public static String fmt(byte b, int minWidth, int flags) {
-        boolean hexadecimal = ((flags & HX) != 0);
-        boolean octal = ((flags & OC) != 0);
+        boolean hexadecimal = ((flags & Fmt.HX) != 0);
+        boolean octal = ((flags & Fmt.OC) != 0);
 
         if (hexadecimal)
-            return fmt(Integer.toString(b & 0xff, 16), minWidth, flags | WN);
+            return Fmt.fmt(Integer.toString(b & 0xff, 16), minWidth, flags | Fmt.WN);
         else if (octal)
-            return fmt(Integer.toString(b & 0xff, 8), minWidth, flags | WN);
+            return Fmt.fmt(Integer.toString(b & 0xff, 8), minWidth, flags | Fmt.WN);
         else
-            return fmt(Integer.toString(b & 0xff), minWidth, flags | WN);
+            return Fmt.fmt(Integer.toString(b & 0xff), minWidth, flags | Fmt.WN);
     }
 
     // short
     public static String fmt(short s) {
-        return fmt(s, 0, 0);
+        return Fmt.fmt(s, 0, 0);
     }
 
     public static String fmt(short s, int minWidth) {
-        return fmt(s, minWidth, 0);
+        return Fmt.fmt(s, minWidth, 0);
     }
 
     public static String fmt(short s, int minWidth, int flags) {
-        boolean hexadecimal = ((flags & HX) != 0);
-        boolean octal = ((flags & OC) != 0);
+        boolean hexadecimal = ((flags & Fmt.HX) != 0);
+        boolean octal = ((flags & Fmt.OC) != 0);
 
         if (hexadecimal)
-            return fmt(
-                    Integer.toString(s & 0xffff, 16), minWidth, flags | WN);
+            return Fmt.fmt(
+                    Integer.toString(s & 0xffff, 16), minWidth, flags | Fmt.WN);
         else if (octal)
-            return fmt(
-                    Integer.toString(s & 0xffff, 8), minWidth, flags | WN);
+            return Fmt.fmt(
+                    Integer.toString(s & 0xffff, 8), minWidth, flags | Fmt.WN);
         else
-            return fmt(Integer.toString(s), minWidth, flags | WN);
+            return Fmt.fmt(Integer.toString(s), minWidth, flags | Fmt.WN);
     }
 
     // int
     public static String fmt(int i) {
-        return fmt(i, 0, 0);
+        return Fmt.fmt(i, 0, 0);
     }
 
     public static String fmt(int i, int minWidth) {
-        return fmt(i, minWidth, 0);
+        return Fmt.fmt(i, minWidth, 0);
     }
 
     public static String fmt(int i, int minWidth, int flags) {
-        boolean hexadecimal = ((flags & HX) != 0);
-        boolean octal = ((flags & OC) != 0);
+        boolean hexadecimal = ((flags & Fmt.HX) != 0);
+        boolean octal = ((flags & Fmt.OC) != 0);
 
         if (hexadecimal)
-            return fmt(
-                    Long.toString(i & 0xffffffffL, 16), minWidth, flags | WN);
+            return Fmt.fmt(
+                    Long.toString(i & 0xffffffffL, 16), minWidth, flags | Fmt.WN);
         else if (octal)
-            return fmt(
-                    Long.toString(i & 0xffffffffL, 8), minWidth, flags | WN);
+            return Fmt.fmt(
+                    Long.toString(i & 0xffffffffL, 8), minWidth, flags | Fmt.WN);
         else
-            return fmt(Integer.toString(i), minWidth, flags | WN);
+            return Fmt.fmt(Integer.toString(i), minWidth, flags | Fmt.WN);
     }
 
     // long
     public static String fmt(long l) {
-        return fmt(l, 0, 0);
+        return Fmt.fmt(l, 0, 0);
     }
 
     public static String fmt(long l, int minWidth) {
-        return fmt(l, minWidth, 0);
+        return Fmt.fmt(l, minWidth, 0);
     }
 
     public static String fmt(long l, int minWidth, int flags) {
-        boolean hexadecimal = ((flags & HX) != 0);
-        boolean octal = ((flags & OC) != 0);
+        boolean hexadecimal = ((flags & Fmt.HX) != 0);
+        boolean octal = ((flags & Fmt.OC) != 0);
 
         if (hexadecimal) {
             if ((l & 0xf000000000000000L) != 0)
-                return fmt(
+                return Fmt.fmt(
                         Long.toString(l >>> 60, 16) +
-                        fmt(l & 0x0fffffffffffffffL, 15, HX | ZF),
-                        minWidth, flags | WN);
+                        Fmt.fmt(l & 0x0fffffffffffffffL, 15, Fmt.HX | Fmt.ZF),
+                        minWidth, flags | Fmt.WN);
             else
-                return fmt(Long.toString(l, 16), minWidth, flags | WN);
+                return Fmt.fmt(Long.toString(l, 16), minWidth, flags | Fmt.WN);
         } else if (octal) {
             if ((l & 0x8000000000000000L) != 0)
-                return fmt(
+                return Fmt.fmt(
                         Long.toString(l >>> 63, 8) +
-                        fmt(l & 0x7fffffffffffffffL, 21, OC | ZF),
-                        minWidth, flags | WN);
+                        Fmt.fmt(l & 0x7fffffffffffffffL, 21, Fmt.OC | Fmt.ZF),
+                        minWidth, flags | Fmt.WN);
             else
-                return fmt(Long.toString(l, 8), minWidth, flags | WN);
+                return Fmt.fmt(Long.toString(l, 8), minWidth, flags | Fmt.WN);
         } else
-            return fmt(Long.toString(l), minWidth, flags | WN);
+            return Fmt.fmt(Long.toString(l), minWidth, flags | Fmt.WN);
     }
 
     // float
     public static String fmt(float f) {
-        return fmt(f, 0, 0, 0);
+        return Fmt.fmt(f, 0, 0, 0);
     }
 
     public static String fmt(float f, int minWidth) {
-        return fmt(f, minWidth, 0, 0);
+        return Fmt.fmt(f, minWidth, 0, 0);
     }
 
     public static String fmt(float f, int minWidth, int sigFigs) {
-        return fmt(f, minWidth, sigFigs, 0);
+        return Fmt.fmt(f, minWidth, sigFigs, 0);
     }
 
     public static String fmt(float f, int minWidth, int sigFigs, int flags) {
         if (sigFigs != 0)
-            return fmt(
-                    sigFigFix(Float.toString(f), sigFigs), minWidth,
-                    flags | WN);
+            return Fmt.fmt(
+                    Fmt.sigFigFix(Float.toString(f), sigFigs), minWidth,
+                    flags | Fmt.WN);
         else
-            return fmt(Float.toString(f), minWidth, flags | WN);
+            return Fmt.fmt(Float.toString(f), minWidth, flags | Fmt.WN);
     }
 
     // double
     public static String fmt(double d) {
-        return fmt(d, 0, 0, 0);
+        return Fmt.fmt(d, 0, 0, 0);
     }
 
     public static String fmt(double d, int minWidth) {
-        return fmt(d, minWidth, 0, 0);
+        return Fmt.fmt(d, minWidth, 0, 0);
     }
 
     public static String fmt(double d, int minWidth, int sigFigs) {
-        return fmt(d, minWidth, sigFigs, 0);
+        return Fmt.fmt(d, minWidth, sigFigs, 0);
     }
 
     public static String fmt(double d, int minWidth, int sigFigs, int flags) {
         if (sigFigs != 0)
-            return fmt(
-                    sigFigFix(doubleToString(d), sigFigs), minWidth,
-                    flags | WN);
+            return Fmt.fmt(
+                    Fmt.sigFigFix(Fmt.doubleToString(d), sigFigs), minWidth,
+                    flags | Fmt.WN);
         else
-            return fmt(doubleToString(d), minWidth, flags | WN);
+            return Fmt.fmt(Fmt.doubleToString(d), minWidth, flags | Fmt.WN);
     }
 
     // char
     public static String fmt(char c) {
-        return fmt(c, 0, 0);
+        return Fmt.fmt(c, 0, 0);
     }
 
     public static String fmt(char c, int minWidth) {
-        return fmt(c, minWidth, 0);
+        return Fmt.fmt(c, minWidth, 0);
     }
 
     public static String fmt(char c, int minWidth, int flags) {
         // return fmt( Character.toString( c ), minWidth, flags );
         // Character currently lacks a static toString method.  Workaround
         // is to make a temporary instance and use the instance toString.
-        return fmt(Character.valueOf(c).toString(), minWidth, flags);
+        return Fmt.fmt(Character.valueOf(c).toString(), minWidth, flags);
     }
 
     // Object
     public static String fmt(Object o) {
-        return fmt(o, 0, 0);
+        return Fmt.fmt(o, 0, 0);
     }
 
     public static String fmt(Object o, int minWidth) {
-        return fmt(o, minWidth, 0);
+        return Fmt.fmt(o, minWidth, 0);
     }
 
     public static String fmt(Object o, int minWidth, int flags) {
-        return fmt(o.toString(), minWidth, flags);
+        return Fmt.fmt(o.toString(), minWidth, flags);
     }
 
     // String
     public static String fmt(String s) {
-        return fmt(s, 0, 0);
+        return Fmt.fmt(s, 0, 0);
     }
 
     public static String fmt(String s, int minWidth) {
-        return fmt(s, minWidth, 0);
+        return Fmt.fmt(s, minWidth, 0);
     }
 
     public static String fmt(String s, int minWidth, int flags) {
         int len = s.length();
-        boolean zeroFill = ((flags & ZF) != 0);
-        boolean leftJustify = ((flags & LJ) != 0);
-        boolean hexadecimal = ((flags & HX) != 0);
-        boolean octal = ((flags & OC) != 0);
-        boolean wasNumber = ((flags & WN) != 0);
+        boolean zeroFill = ((flags & Fmt.ZF) != 0);
+        boolean leftJustify = ((flags & Fmt.LJ) != 0);
+        boolean hexadecimal = ((flags & Fmt.HX) != 0);
+        boolean octal = ((flags & Fmt.OC) != 0);
+        boolean wasNumber = ((flags & Fmt.WN) != 0);
 
         if ((hexadecimal || octal || zeroFill) && !wasNumber)
             throw new InternalError("Acme.Fmt: number flag on a non-number");
diff --git a/pki/base/util/src/com/netscape/cmsutil/util/HMACDigest.java b/pki/base/util/src/com/netscape/cmsutil/util/HMACDigest.java
index c1ab2003d652a606dc1be869fb8fa7da6d3fbf60..301758c9f7092e17b75e375a7eef7dee52dde8ab 100644
--- a/pki/base/util/src/com/netscape/cmsutil/util/HMACDigest.java
+++ b/pki/base/util/src/com/netscape/cmsutil/util/HMACDigest.java
@@ -19,7 +19,6 @@ package com.netscape.cmsutil.util;
 
 
 import java.security.MessageDigest;
-import java.security.NoSuchAlgorithmException;
 
 
 /**
@@ -38,12 +37,12 @@ public class HMACDigest implements Cloneable {
     /**
      * inner padding - key XORd with ipad
      */
-    private byte[] mKeyIpad = new byte[PAD_BYTES];
+    private byte[] mKeyIpad = new byte[HMACDigest.PAD_BYTES];
 
     /**
      * outer padding - key XORd with opad
      */
-    private byte[] mKeyOpad = new byte[PAD_BYTES];
+    private byte[] mKeyOpad = new byte[HMACDigest.PAD_BYTES];
 
     /**
      * The real MessageDigest
@@ -108,15 +107,15 @@ public class HMACDigest implements Cloneable {
         }
 
         // Copy the key.  Truncate if key is too long
-        for (i = 0; i < key.length && i < PAD_BYTES; i++) {
+        for (i = 0; i < key.length && i < HMACDigest.PAD_BYTES; i++) {
             mKeyIpad[i] = key[i];
             mKeyOpad[i] = key[i];
         }
 
         // XOR in the pads
-        for (i = 0; i < PAD_BYTES; i++) {
-            mKeyIpad[i] ^= IPAD;
-            mKeyOpad[i] ^= OPAD;
+        for (i = 0; i < HMACDigest.PAD_BYTES; i++) {
+            mKeyIpad[i] ^= HMACDigest.IPAD;
+            mKeyOpad[i] ^= HMACDigest.OPAD;
         }
 
         mMD.update(mKeyIpad);
@@ -124,7 +123,7 @@ public class HMACDigest implements Cloneable {
         // Hmmm, we really shouldn't key Opad around in memory for so
         // long, but it would just force the user to key their key around
         // until digest() time. Oh well, at least clear the key and Ipad
-        for (i = 0; i < PAD_BYTES; i++) {
+        for (i = 0; i < HMACDigest.PAD_BYTES; i++) {
             mKeyIpad[i] = 0;
         }
         for (i = 0; i < key.length; i++) {
@@ -168,7 +167,7 @@ public class HMACDigest implements Cloneable {
         mMD.reset();
 
         // Clear out the pads
-        for (i = 0; i < PAD_BYTES; i++) {
+        for (i = 0; i < HMACDigest.PAD_BYTES; i++) {
             mKeyIpad[i] = 0;
             mKeyOpad[i] = 0;
         }
@@ -187,10 +186,10 @@ public class HMACDigest implements Cloneable {
 
         HMACDigest hd = (HMACDigest) super.clone();	
 
-        hd.mKeyOpad = new byte[PAD_BYTES];
-        hd.mKeyIpad = new byte[PAD_BYTES];
+        hd.mKeyOpad = new byte[HMACDigest.PAD_BYTES];
+        hd.mKeyIpad = new byte[HMACDigest.PAD_BYTES];
 
-        for (i = 0; i < PAD_BYTES; i++) {
+        for (i = 0; i < HMACDigest.PAD_BYTES; i++) {
             hd.mKeyOpad[i] = mKeyOpad[i];
             hd.mKeyIpad[i] = mKeyIpad[i];
         }
